## gender-details

gender-details — New general types required by Folks.

## Types and Values

enum | FolksGender
| FolksGenderDetails
struct | FolksGenderDetailsIface

## Description

## Functions

## Types and Values

### enum FolksGender

The gender of a contact

#### Members

FOLKS_GENDER_UNSPECIFIED | The gender of the contact is unknown or the contact didn't specify it. |
FOLKS_GENDER_MALE | The contact is male. |
FOLKS_GENDER_FEMALE | The contact is female. |

Since: 0.3.5

### FolksGenderDetails

    typedef struct _FolksGenderDetails FolksGenderDetails;

Gender of a contact.

This allows representation of the gender of a contact.

Since: 0.3.5

### struct FolksGenderDetailsIface

    struct FolksGenderDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_gender) (FolksGenderDetails* self, FolksGender gender, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_gender_finish) (FolksGenderDetails* self, GAsyncResult* _res_, GError** error);
    	FolksGender (*get_gender) (FolksGenderDetails* self);
    	void (*set_gender) (FolksGenderDetails* self, FolksGender value);
    };

Interface for creating FolksGenderDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_gender` () | virtual method called by ``folks_gender_details_change_gender()`` |
`change_gender_finish` () | asynchronous finish function for `change_gender`, called by ``folks_gender_details_change_gender()`` |
`get_gender` () | getter method for the abstract property "gender" |
`set_gender` () | setter method for the abstract property "gender" |